Khronos Public Bugzilla
Bug 227 - Provide access to XML documentation source
Provide access to XML documentation source
Status: RESOLVED FIXED
Product: OpenGL
Classification: Unclassified
Component: Registry
3.0
PC Windows
: P3 enhancement
: ---
Assigned To: Jon Leech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 02:04 PST by Stephen A.
Modified: 2014-03-28 06:04 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen A. 2009-11-10 02:04:20 PST
I would like to ask Khronos to consider releasing the XML source for the ES reference pages [1].

The source is extremely useful for language bindings to OpenGL ES, as it can be used to provide "inline" documentation directly through the IDE. We have implemented this feature for the regular OpenGL API in OpenTK [2][3], with very positive feedback from the community.

While this feature request is filed against OpenGL ES 2.0, it is equally useful for versions 1.1 and 1.0.


[1] http://www.khronos.org/opengles/sdk/docs/man/
[2] http://www.opentk.com (.Net bindings to OpenGL, OpenGL|ES, OpenCL, OpenAL)
[3] https://cvs.khronos.org/svn/repos/ogl/trunk/ecosystem/public/sdk/docs/man/xhtml/
Comment 1 Jon Leech 2009-11-10 02:30:58 PST
We are in the process of creating an SDK area for OpenGL ES like the
OpenGL SDK, and once that's up it will include the man page XML source.
Unfortunately I can't give you a date on when we'll go live with that,
but it shouldn't be all that much longer.
Comment 2 Jon Leech 2010-03-05 01:14:25 PST
Someone was messing with Bugzilla. Fixing fields.
Comment 3 costinc 2011-10-31 08:23:31 PDT
Any updates on this?
Comment 4 Stephen A. 2014-03-27 05:12:08 PDT
Any chance to get OpenGL ES under https://cvs.khronos.org/svn/repos/registry/trunk/public/gles/ ? (The manpages exist, so we are just missing their docbook sources.)

The rest of the APIs are already there:
EGL - https://cvs.khronos.org/svn/repos/registry/trunk/public/egl/sdk/docs
OpenCL - https://cvs.khronos.org/svn/repos/registry/trunk/public/cl/sdk/1.2/docs/man/
OpenGL - https://cvs.khronos.org/svn/repos/ogl/trunk/ecosystem/public/sdk/docs


This would be awesome for adding inline OpenGL ES tooltips in our OpenTK C# bindings!
Comment 5 Jon Leech 2014-03-28 04:28:25 PDT
I've asked our sysadmin to open up that part of SVN for anonymous
access and will update here when it's ready - should be soon.
Sorry to have dropped this earlier.
Comment 6 Jon Leech 2014-03-28 04:35:30 PDT
This seems to work now:

svn checkout --username anonymous --password anonymous https://cvs.khronos.org/svn/repos/ogles/trunk/sdk/docs/

N.b. we might move the path around eventually, our usual convention
is to put all public-access parts of SVN under '/public/' paths,
but that won't happen in the near term.
Comment 7 Jon Leech 2014-03-28 05:36:28 PDT
Incidentally, I made a few updates to

https://www.opengl.org/wiki/Getting_started/XML_Toolchain_and_Man_Pages

to discuss Docbook 5 (fortunately it is much simpler than the Docbook 4.3
+ MathML setup). Please feel free to add/edit this page as you get the toolchain working on whatever platforms you're using.
Comment 8 Stephen A. 2014-03-28 06:04:26 PDT
Awesome!

I'll be merging these over the next few days, this will be a nice addition alongside ES 3.1. Thanks!